# Validate this workflow's draft (or a candidate definition)

> Source: https://elaichi.ai/docs/api-reference/workflows/automation/validateautomation/

`POST /automation/{id}/validate`

Resource: **Workflow** · API: **Workflows**

## Path parameters

- **`id`** _(string, required)_
  Resource id

## Request body

- **`definition`** _(unknown)_

## Response body

- **`issues`** _(array<object>)_
  - **`severity`** _(string)_
    Allowed: `error`, `warning`
  - **`step`** _(string,null)_
  - **`field`** _(string)_
  - **`message`** _(string)_
  - **`code`** _(string)_
    Stable id of the rule that raised it (`bp_...` for a best-practice warning).
  - **`fix`** _(string)_
    One plain sentence on how to clear it.
- **`tier`** _(string,null)_
- **`publish_requires`** _(unknown)_

## Code examples

### curl

```bash
curl -X POST 'https://api.elaichi.ai/automation/<id>/validate' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

### JavaScript

```javascript
const body = {};

const response = await fetch('https://api.elaichi.ai/automation/<id>/validate', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/validate"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```
